Package net.sourceforge.jiu.data

# Interface Gray16Image

All Superinterfaces:
  `GrayImage`, `GrayIntegerImage`, `IntegerImage`, `PixelImage`, `ShortChannelImage`

All Known Implementing Classes:
  `MemoryGray16Image`

public interface Gray16Image extends GrayIntegerImage, ShortChannelImage
Interface for grayscale images using integer samples that are sixteen bits large. Valid sample values must lie in the interval 0 to 65535 (including both of those values). Like all grayscale images, implementations of this class are supposed to have one channel only. Simply merges the two interfaces GrayIntegerImage and ShortChannelImage without adding methods of its own.

Since:
  0.11.0
Author:
  Marco Schmidt
See Also:
  - `ShortChannelImage`
  - `GrayIntegerImage`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.GrayImage

`isBlack, isWhite, putBlack, putWhite`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`

### Methods inherited from interface net.sourceforge.jiu.data.ShortChannelImage

`clear, clear, getShortSample, getShortSample, getShortSamples, putShortSample, putShortSample, putShortSamples`